Obtener actividad por ID
curl --request GET \
--url https://{tenantDomain}/api/v1/lead-activities/{leadActivity} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}/api/v1/lead-activities/{leadActivity}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}/api/v1/lead-activities/{leadActivity}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}/api/v1/lead-activities/{leadActivity}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}/api/v1/lead-activities/{leadActivity}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{tenantDomain}/api/v1/lead-activities/{leadActivity}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}/api/v1/lead-activities/{leadActivity}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"activity_type": "<string>",
"activity_type_label": "<string>",
"subject": "<string>",
"description": "<string>",
"is_completed": "<string>",
"activity_date": "<string>",
"scheduled_at": "<string>",
"completed_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"registered_by": {
"id": "<string>",
"full_name": "<string>"
},
"lead": {
"id": "<string>",
"status": "<string>",
"profile": {
"full_name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"project": {
"id": "<string>",
"name": "<string>"
},
"product": {
"id": "<string>",
"name": "<string>"
},
"unit": {
"id": "<string>",
"sku": "<string>",
"stage": "<string>",
"sector": "<string>",
"unit": "<string>"
}
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}LeadActivity
Obtener actividad por ID
Devuelve el detalle completo de una actividad incluyendo la description,
el usuario que la registró y el lead con proyecto, producto y unidad.
Requiere el permiso lead.viewAny.
GET
/
lead-activities
/
{leadActivity}
Obtener actividad por ID
curl --request GET \
--url https://{tenantDomain}/api/v1/lead-activities/{leadActivity} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}/api/v1/lead-activities/{leadActivity}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}/api/v1/lead-activities/{leadActivity}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}/api/v1/lead-activities/{leadActivity}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}/api/v1/lead-activities/{leadActivity}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{tenantDomain}/api/v1/lead-activities/{leadActivity}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}/api/v1/lead-activities/{leadActivity}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"activity_type": "<string>",
"activity_type_label": "<string>",
"subject": "<string>",
"description": "<string>",
"is_completed": "<string>",
"activity_date": "<string>",
"scheduled_at": "<string>",
"completed_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"registered_by": {
"id": "<string>",
"full_name": "<string>"
},
"lead": {
"id": "<string>",
"status": "<string>",
"profile": {
"full_name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"project": {
"id": "<string>",
"name": "<string>"
},
"product": {
"id": "<string>",
"name": "<string>"
},
"unit": {
"id": "<string>",
"sku": "<string>",
"stage": "<string>",
"sector": "<string>",
"unit": "<string>"
}
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}